# ApplicationFramework
TKPShape
PPoly

# PPoly_Triangle Class Reference

A Triangle is a triplet of node indices.
.

`#include <PPoly_Triangle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PPoly_Triangle (const Standard_Integer N1, const Standard_Integer N2, const Standard_Integer N3)
Standard_EXPORT void | Set (const Standard_Integer N1, const Standard_Integer N2, const Standard_Integer N3)
Standard_EXPORT void | Get (Standard_Integer &N1, Standard_Integer &N2, Standard_Integer &N3) const
| PPoly_Triangle ()
Standard_Integer & | _CSFDB_GetPPoly_TrianglemyNodes (const Standard_Integer i1)

## Private Attributes

Standard_Integer | myNodes [3]

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PPoly_Triangle_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PPoly_Triangle::PPoly_Triangle | ( | const Standard_Integer | N1,
|  | const Standard_Integer | N2,
|  | const Standard_Integer | N3
| ) |

PPoly_Triangle::PPoly_Triangle | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_Integer& PPoly_Triangle::_CSFDB_GetPPoly_TrianglemyNodes | ( | const Standard_Integer | i1 | ) | `[inline]`

Standard_EXPORT void PPoly_Triangle::Get | ( | Standard_Integer & | N1,
|  | Standard_Integer & | N2,
|  | Standard_Integer & | N3
| ) | const

void PPoly_Triangle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PPoly_Triangle::operator new | ( | size_t | size | ) | `[inline]`

void* PPoly_Triangle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void PPoly_Triangle::Set | ( | const Standard_Integer | N1,
|  | const Standard_Integer | N2,
|  | const Standard_Integer | N3
| ) |

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PPoly_Triangle_Type_ | ( |  | ) | `[friend]`

## Field Documentation

Standard_Integer PPoly_Triangle::myNodes[3]`[private]`

The documentation for this class was generated from the following file:

- PPoly_Triangle.hxx